# meager-precommit-scala

meager.io pre-commit hooks for Scala 3 development. Used to run `scalafmt` on
commit.

## Usage

Create `.pre-commit-config.yaml` at the root of your repository:

```yaml
---
repos:
  - repo: https://github.com/pre-commit/pre-commit-hooks
    rev: v4.3.0
    hooks:
      - id: end-of-file-fixer
      - id: trailing-whitespace
  - repo: https://git.sr.ht/~eidolon/meager-pre-commit-scala
    rev: v0.1.1
    hooks:
      - id: scalafmt
```
